Index: Makefile.inc
===================================================================
RCS file: /home/dcvs/src/usr.bin/Makefile.inc,v
retrieving revision 1.1
diff -u -r1.1 Makefile.inc
--- Makefile.inc	17 Jun 2003 02:55:58 -0000	1.1
+++ Makefile.inc	26 Aug 2007 17:02:53 -0000
@@ -1,3 +1,4 @@
 #	@(#)Makefile.inc	8.1 (Berkeley) 6/6/93
 
 BINDIR?=	/usr/bin
+WARNS?=	6
Index: apply/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/apply/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- apply/Makefile	4 Jan 2005 05:45:02 -0000	1.3
+++ apply/Makefile	26 Aug 2007 17:03:57 -0000
@@ -4,6 +4,4 @@
 
 PROG=	apply
 
-WARNS?=	6
-
 .include <bsd.prog.mk>
Index: asa/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/asa/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- asa/Makefile	9 Jan 2005 13:38:52 -0000	1.2
+++ asa/Makefile	26 Aug 2007 20:59:09 -0000
@@ -4,5 +4,4 @@
 
 PROG=	asa
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: at/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/at/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- at/Makefile	5 Aug 2007 18:24:29 -0000	1.4
+++ at/Makefile	26 Aug 2007 21:00:04 -0000
@@ -4,7 +4,6 @@
 .include "${.CURDIR}/Makefile.inc"
 
 PROG=	at
-WARNS?=	6
 SRCS=	at.c panic.c parsetime.c perm.c
 LINKS=	${BINDIR}/at ${BINDIR}/atq \
 	${BINDIR}/at ${BINDIR}/atrm \
Index: awk/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/awk/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- awk/Makefile	6 May 2007 17:04:30 -0000	1.11
+++ awk/Makefile	26 Aug 2007 21:20:03 -0000
@@ -10,6 +10,7 @@
 PROG=	awk
 SRCS=	awkgram.y b.c lex.c lib.c main.c parse.c proctab.c run.c tran.c ytab.h
 SRCS+=	${PATCHES}
+WARNS?=	2
 
 CFLAGS+= -I. -I${AWKSRC} -DHAS_ISBLANK
 
Index: banner/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/banner/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- banner/Makefile	16 Jan 2005 04:28:00 -0000	1.3
+++ banner/Makefile	26 Aug 2007 21:01:09 -0000
@@ -5,6 +5,4 @@
 PROG=	banner
 MAN=	banner.6
 
-WARNS?=	6
-
 .include <bsd.prog.mk>
Index: basename/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/basename/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- basename/Makefile	27 Sep 2005 22:35:51 -0000	1.4
+++ basename/Makefile	26 Aug 2007 21:01:33 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/basename/Makefile,v 1.4 2005/09/27 22:35:51 corecode Exp $
 
 PROG=	basename
-WARNS?=	6
 MLINKS=	basename.1 dirname.1
 
 .if defined(BOOTSTRAPPING)
Index: bc/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/bc/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- bc/Makefile	23 Oct 2004 14:14:46 -0000	1.3
+++ bc/Makefile	26 Aug 2007 21:04:37 -0000
@@ -4,7 +4,7 @@
 PROG=		bc
 SRCS=		bc.y scan.l y.tab.h
 CFLAGS+=	-I. -I${.CURDIR}
-CFLAGS+=	-Wall -Wno-unused
+WARNS?=		2
 
 SCRIPTS=	bc.library
 SCRIPTSMODE=	444
Index: biff/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/biff/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- biff/Makefile	11 Jan 2005 19:36:09 -0000	1.3
+++ biff/Makefile	26 Aug 2007 21:05:46 -0000
@@ -4,5 +4,4 @@
 
 PROG=	biff
 
-WARNS?=	6	
 .include <bsd.prog.mk>
Index: brandelf/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/brandelf/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- brandelf/Makefile	16 Jan 2005 04:28:00 -0000	1.4
+++ brandelf/Makefile	26 Aug 2007 21:05:56 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/brandelf/Makefile,v 1.4 2005/01/16 04:28:00 cpressey Exp $
 
 PROG=	brandelf
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: bzip2/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/bzip2/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- bzip2/Makefile	20 Jan 2007 05:57:40 -0000	1.7
+++ bzip2/Makefile	26 Aug 2007 21:07:19 -0000
@@ -6,9 +6,8 @@
 .PATH: ${BZ2DIR}
 
 PROG=	bzip2
-SRCS=	bzip2.c
+WARNS?=	2
 
-MAN=	bzip2.1
 CFLAGS+= -D_FILE_OFFSET_BITS=64
 
 DPADD=	${LIBBZ2}
Index: c89/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/c89/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- c89/Makefile	16 Jan 2005 19:17:28 -0000	1.3
+++ c89/Makefile	26 Aug 2007 21:09:47 -0000
@@ -2,7 +2,5 @@
 # $DragonFly: src/usr.bin/c89/Makefile,v 1.3 2005/01/16 19:17:28 joerg Exp $
 
 PROG=	c89
-MAN=	c89.1
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: c99/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/c99/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- c99/Makefile	16 Jan 2005 21:14:50 -0000	1.2
+++ c99/Makefile	26 Aug 2007 21:10:17 -0000
@@ -1,6 +1,5 @@
 # $DragonFly: src/usr.bin/c99/Makefile,v 1.2 2005/01/16 21:14:50 cpressey Exp $
 
 PROG=	c99
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: calendar/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/calendar/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- calendar/Makefile	16 Sep 2006 18:38:00 -0000	1.4
+++ calendar/Makefile	26 Aug 2007 21:10:50 -0000
@@ -9,7 +9,6 @@
 FR_LINKS=       fr_FR.ISO8859-15
 HR_LINKS=       hr_HR.ISO_8859-2
 TEXTMODE?=	444
-WARNS?=		6
 
 beforeinstall:
 	${INSTALL} -o ${BINOWN} -g ${BINGRP} -m ${TEXTMODE} \
Index: cap_mkdb/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/cap_mkdb/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- cap_mkdb/Makefile	15 Dec 2004 21:27:40 -0000	1.3
+++ cap_mkdb/Makefile	26 Aug 2007 21:10:59 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/cap_mkdb/Makefile,v 1.3 2004/12/15 21:27:40 cpressey Exp $
 
 PROG=	cap_mkdb
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: catman/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/catman/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- catman/Makefile	16 Jan 2005 04:28:00 -0000	1.2
+++ catman/Makefile	26 Aug 2007 21:11:43 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/catman/Makefile,v 1.2 2005/01/16 04:28:00 cpressey Exp $
 
 PROG=	catman
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: chat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/chat/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- chat/Makefile	1 Jan 2005 00:13:49 -0000	1.4
+++ chat/Makefile	26 Aug 2007 21:12:42 -0000
@@ -2,8 +2,6 @@
 # $DragonFly: src/usr.bin/chat/Makefile,v 1.4 2005/01/01 00:13:49 cpressey Exp $
 
 PROG=	chat
-CFLAGS+=-Wall
 MAN=	chat.8
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: checknr/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/checknr/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- checknr/Makefile	2 Mar 2005 04:33:12 -0000	1.2
+++ checknr/Makefile	26 Aug 2007 21:12:55 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/checknr/Makefile,v 1.2 2005/03/02 04:33:12 cpressey Exp $
 
 PROG=	checknr
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: checkpt/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/checkpt/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- checkpt/Makefile	30 Jun 2007 01:40:56 -0000	1.4
+++ checkpt/Makefile	26 Aug 2007 21:13:14 -0000
@@ -1,8 +1,6 @@
 # $DragonFly: src/usr.bin/checkpt/Makefile,v 1.4 2007/06/30 01:40:56 dillon Exp $
 
 PROG=	checkpt
-WARNS?=	6
-SRCS=	checkpt.c
 NOSHARED?=      YES
 MLINKS= checkpt.1 checkpoint.1
 
Index: chflags/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/chflags/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- chflags/Makefile	29 Nov 2004 20:27:30 -0000	1.3
+++ chflags/Makefile	26 Aug 2007 21:13:37 -0000
@@ -5,7 +5,5 @@
 NOSHARED?=yes
 
 PROG=	chflags
-SRCS=	chflags.c
 
-WARNS?=	6	
 .include <bsd.prog.mk>
Index: chkey/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/chkey/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- chkey/Makefile	11 Jan 2005 00:58:23 -0000	1.4
+++ chkey/Makefile	26 Aug 2007 21:13:57 -0000
@@ -8,6 +8,5 @@
 CFLAGS+=-DYP -I${.CURDIR}/../newkey
 DPADD=	${LIBRPCSVC} ${LIBCRYPTO}
 LDADD=	-lrpcsvc -lcrypto
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: chpass/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/chpass/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- chpass/Makefile	17 Nov 2004 19:15:59 -0000	1.3
+++ chpass/Makefile	26 Aug 2007 21:16:13 -0000
@@ -3,12 +3,12 @@
 # $DragonFly: src/usr.bin/chpass/Makefile,v 1.3 2004/11/17 19:15:59 dillon Exp $
 
 PROG=	chpass
-CFLAGS+=-Wall
 SRCS=	chpass.c edit.c field.c pw_copy.c pw_scan.c pw_util.c pw_yp.c \
 	table.c util.c ypxfr_misc.c ${GENSRCS}
 GENSRCS=yp.h yp_clnt.c yppasswd.h yppasswd_clnt.c yppasswd_private.h \
 	yppasswd_private_clnt.c yppasswd_private_xdr.c
 BINMODE=4555
+WARNS?=	1
 .PATH:	${.CURDIR}/../../usr.sbin/pwd_mkdb ${.CURDIR}/../../usr.sbin/vipw \
 	${.CURDIR}/../../libexec/ypxfr \
 	${.CURDIR}/../../usr.sbin/rpc.yppasswdd \
Index: cksum/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/cksum/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- cksum/Makefile	17 Jun 2003 02:56:02 -0000	1.1
+++ cksum/Makefile	26 Aug 2007 21:18:32 -0000
@@ -1,9 +1,10 @@
 #	@(#)Makefile	8.2 (Berkeley) 4/28/95
+# $DragonFly$
 
 PROG=	cksum
-CFLAGS+=-Wall
 SRCS=	cksum.c crc.c print.c sum1.c sum2.c crc32.c
 LINKS=	${BINDIR}/cksum ${BINDIR}/sum
 MLINKS=	cksum.1 sum.1
+WARNS?=	2
 
 .include <bsd.prog.mk>
Index: cmp/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/cmp/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- cmp/Makefile	16 Jan 2005 04:28:00 -0000	1.3
+++ cmp/Makefile	26 Aug 2007 21:21:48 -0000
@@ -3,7 +3,6 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/6/93
 
 PROG=	cmp
-WARNS?=	6
 SRCS=	cmp.c misc.c regular.c special.c
 
 .include <bsd.prog.mk>
Index: col/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/col/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- col/Makefile	5 Jan 2005 02:33:25 -0000	1.3
+++ col/Makefile	26 Aug 2007 21:22:01 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/col/Makefile,v 1.3 2005/01/05 02:33:25 cpressey Exp $
 
 PROG=	col
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: colcrt/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/colcrt/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- colcrt/Makefile	16 Jan 2005 04:28:00 -0000	1.3
+++ colcrt/Makefile	26 Aug 2007 21:22:11 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/colcrt/Makefile,v 1.3 2005/01/16 04:28:00 cpressey Exp $
 
 PROG=	colcrt
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: colldef/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/colldef/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- colldef/Makefile	2 Mar 2005 07:16:23 -0000	1.3
+++ colldef/Makefile	26 Aug 2007 21:22:29 -0000
@@ -8,7 +8,6 @@
 CFLAGS+=-DCOLLATE_DEBUG -DYY_NO_UNPUT
 LDADD=	-ll
 DPADD=	${LIBL}
-WARNS?=	6
 
 SRCS+=		collate.h
 CLEANFILES+=	collate.h
Index: colrm/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/colrm/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- colrm/Makefile	16 Jan 2005 04:28:00 -0000	1.3
+++ colrm/Makefile	26 Aug 2007 21:22:38 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/colrm/Makefile,v 1.3 2005/01/16 04:28:00 cpressey Exp $
 
 PROG=	colrm
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: column/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/column/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- column/Makefile	16 Jan 2005 04:28:00 -0000	1.2
+++ column/Makefile	26 Aug 2007 21:22:47 -0000
@@ -2,7 +2,5 @@
 # $DragonFly: src/usr.bin/column/Makefile,v 1.2 2005/01/16 04:28:00 cpressey Exp $
 
 PROG=	column
-WARNS?=	6
-CFLAGS+=-Wall
 
 .include <bsd.prog.mk>
Index: comm/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/comm/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- comm/Makefile	16 Jan 2005 04:28:00 -0000	1.2
+++ comm/Makefile	26 Aug 2007 21:22:55 -0000
@@ -2,7 +2,5 @@
 # $DragonFly: src/usr.bin/comm/Makefile,v 1.2 2005/01/16 04:28:00 cpressey Exp $
 
 PROG=	comm
-WARNS?=	6
-CFLAGS+=-Wall
 
 .include <bsd.prog.mk>
Index: compile_et/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/compile_et/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- compile_et/Makefile	17 Jun 2003 04:29:25 -0000	1.2
+++ compile_et/Makefile	26 Aug 2007 21:24:04 -0000
@@ -4,6 +4,7 @@
 PROG=	compile_et
 SRCS=	compile_et.c parse.y lex.l getarg.c
 CFLAGS+=-I. -I${.CURDIR}/../../contrib/com_err
+WARNS?=	0
 
 .include <bsd.prog.mk>
 
Index: compress/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/compress/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- compress/Makefile	16 Jan 2005 04:28:00 -0000	1.3
+++ compress/Makefile	26 Aug 2007 21:24:30 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/compress/Makefile,v 1.3 2005/01/16 04:28:00 cpressey Exp $
 
 PROG=	compress
-WARNS?=	6
 SRCS=	compress.c zopen.c
 LINKS=	${BINDIR}/compress ${BINDIR}/uncompress
 MLINKS=	compress.1 uncompress.1
Index: ctags/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ctags/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ctags/Makefile	17 Jun 2003 04:29:25 -0000	1.2
+++ ctags/Makefile	26 Aug 2007 21:28:18 -0000
@@ -3,8 +3,8 @@
 # $DragonFly: src/usr.bin/ctags/Makefile,v 1.2 2003/06/17 04:29:25 dillon Exp $
 
 PROG=	ctags
-CFLAGS+=-Wall
 CFLAGS+=-I${.CURDIR}
 SRCS=	C.c ctags.c fortran.c lisp.c print.c tree.c yacc.c
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: cut/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/cut/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- cut/Makefile	5 Jan 2005 02:30:23 -0000	1.3
+++ cut/Makefile	26 Aug 2007 21:28:28 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/cut/Makefile,v 1.3 2005/01/05 02:30:23 cpressey Exp $
 
 PROG=	cut
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: dc/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/dc/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- dc/Makefile	13 Dec 2004 21:48:16 -0000	1.2
+++ dc/Makefile	26 Aug 2007 21:29:11 -0000
@@ -3,7 +3,7 @@
 
 PROG=	dc
 SRCS=	dc.c bcode.c inout.c mem.c stack.c
-COPTS+= -Wall
+WARNS?=	2
 DPADD=	${LIBCRYPTO}
 LDADD=	-lcrypto
 
Index: dig/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/dig/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- dig/Makefile	20 Sep 2006 21:48:39 -0000	1.5
+++ dig/Makefile	26 Aug 2007 21:34:59 -0000
@@ -10,6 +10,7 @@
 
 PROG=	dig
 SRCS=	dig.c dighost.c
+WARNS?=	3
 
 CFLAGS+= -I${.CURDIR}/../../usr.sbin/named \
 	-I${.CURDIR}/../../usr.sbin/named/include \
Index: dirname/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/dirname/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- dirname/Makefile	30 Dec 2004 17:49:39 -0000	1.3
+++ dirname/Makefile	26 Aug 2007 21:35:53 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/dirname/Makefile,v 1.3 2004/12/30 17:49:39 liamfoy Exp $
 
 PROG=	dirname
-WARNS?= 6	
 NOMAN=	noman
 
 .include <bsd.prog.mk>
Index: dnssec-keygen/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/dnssec-keygen/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- dnssec-keygen/Makefile	26 Jun 2004 17:06:34 -0000	1.2
+++ dnssec-keygen/Makefile	26 Aug 2007 21:36:57 -0000
@@ -10,6 +10,7 @@
 PROG=	dnssec-keygen
 SRCS=	dnssec-keygen.c dnssectool.c
 MAN=	dnssec-keygen.8
+WARNS?=	3
 
 CFLAGS+= -I${.CURDIR}/../../usr.sbin/named \
 	-I${.CURDIR}/../../usr.sbin/named/include
Index: dnssec-signzone/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/dnssec-signzone/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- dnssec-signzone/Makefile	26 Jun 2004 17:06:35 -0000	1.2
+++ dnssec-signzone/Makefile	26 Aug 2007 21:37:45 -0000
@@ -10,6 +10,7 @@
 PROG=	dnssec-signzone
 SRCS=	dnssec-signzone.c dnssectool.c
 MAN=	dnssec-signzone.8
+WARNS?=	3
 
 CFLAGS+= -I${.CURDIR}/../../usr.sbin/named \
 	-I${.CURDIR}/../../usr.sbin/named/include
Index: doscmd/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/doscmd/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- doscmd/Makefile	20 Dec 2004 19:24:38 -0000	1.4
+++ doscmd/Makefile	26 Aug 2007 21:38:46 -0000
@@ -21,6 +21,7 @@
 EXEMODE=	${NOBINMODE}
 #BINGRP=		kmem
 #BINMODE=	2555
+WARNS?=	0
 
 .if !defined(NO_X) && exists(${XINCDIR}/X11/X.h) && exists(${XLIBDIR}/libX11.a)
 CFLAGS+=	-I${XINCDIR}
Index: du/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/du/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- du/Makefile	1 Jan 2005 23:02:42 -0000	1.3
+++ du/Makefile	26 Aug 2007 21:39:18 -0000
@@ -3,9 +3,7 @@
 # $DragonFly: src/usr.bin/du/Makefile,v 1.3 2005/01/01 23:02:42 cpressey Exp $
 
 PROG=	du
-CFLAGS+= -Wall
 DPADD=	${LIBM}
 LDADD=	-lm
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: ee/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ee/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- ee/Makefile	10 Mar 2005 14:50:21 -0000	1.3
+++ ee/Makefile	26 Aug 2007 21:40:24 -0000
@@ -5,11 +5,11 @@
 	 -DHAS_CTYPE -DHAS_SYS_IOCTL -DHAS_SYS_WAIT -DSLCT_HDR
 
 PROG=	ee
-CFLAGS+=-Wall
 LINKS=	${BINDIR}/ee ${BINDIR}/ree ${BINDIR}/ee ${BINDIR}/edit
 MLINKS=	ee.1 ree.1 ee.1 edit.1
 DPADD=	${LIBNCURSES}
 LDADD=	-lncurses
+WARNS?=	1
 
 NLS=	en_US.US-ASCII fr_FR.ISO8859-1 de_DE.ISO8859-1 pl_PL.ISO8859-2 \
 	uk_UA.KOI8-U ru_RU.KOI8-R
Index: enigma/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/enigma/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- enigma/Makefile	5 Jan 2005 18:42:33 -0000	1.4
+++ enigma/Makefile	26 Aug 2007 21:41:22 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/enigma/Makefile,v 1.4 2005/01/05 18:42:33 liamfoy Exp $
 
 PROG=	enigma
-WARNS?= 6	
 
 LINKS=	${BINDIR}/enigma ${BINDIR}/crypt
 MLINKS=	enigma.1 crypt.1
Index: env/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/env/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- env/Makefile	8 Dec 2004 20:17:12 -0000	1.3
+++ env/Makefile	26 Aug 2007 21:41:58 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/env/Makefile,v 1.3 2004/12/08 20:17:12 liamfoy Exp $
 
 PROG=	env
-WARNS?= 6	
 NOMAN=	noman
 
 .include <bsd.prog.mk>
Index: expand/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/expand/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- expand/Makefile	16 Jan 2005 21:14:50 -0000	1.3
+++ expand/Makefile	26 Aug 2007 21:42:11 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/expand/Makefile,v 1.3 2005/01/16 21:14:50 cpressey Exp $
 
 PROG=	expand
-WARNS?=	6
 MLINKS=	expand.1 unexpand.1
 
 .include <bsd.prog.mk>
Index: false/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/false/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- false/Makefile	14 Dec 2004 21:06:51 -0000	1.2
+++ false/Makefile	26 Aug 2007 21:42:18 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/false/Makefile,v 1.2 2004/12/14 21:06:51 liamfoy Exp $
 
 PROG=	false
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: fetch/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/fetch/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- fetch/Makefile	6 Sep 2005 18:55:42 -0000	1.6
+++ fetch/Makefile	26 Aug 2007 21:42:25 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/fetch/Makefile,v 1.6 2005/09/06 18:55:42 dillon Exp $
 
 PROG=		fetch
-WARNS?=		6
 DPADD=		${LIBFETCH}
 LDADD=		-lfetch
 .if !defined(NO_CRYPT) && !defined(NO_OPENSSL)
Index: file/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/file/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- file/Makefile	15 Nov 2006 23:13:45 -0000	1.8
+++ file/Makefile	26 Aug 2007 21:43:16 -0000
@@ -11,6 +11,7 @@
 
 PROG=	file
 MAN=	file.1 magic.5
+WARNS?=	0
 
 CFLAGS+= -DHAVE_CONFIG_H -DMAGIC=\"${MAGIC}\"
 CFLAGS+= -I${LIBMAGICDIR}
Index: file2c/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/file2c/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- file2c/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ file2c/Makefile	26 Aug 2007 21:44:05 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/file2c/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	file2c
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: find/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/find/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- find/Makefile	14 Feb 2005 00:39:04 -0000	1.4
+++ find/Makefile	26 Aug 2007 21:44:19 -0000
@@ -5,7 +5,6 @@
 PROG=	find
 SRCS=	find.c function.c ls.c main.c misc.c operator.c option.c \
 	getdate.y
-WARNS?=	6
 CFLAGS+=-DHAVE_SYS_TIMEB_H -I${.CURDIR}
 YFLAGS=
 
Index: finger/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/finger/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- finger/Makefile	17 Jun 2003 04:29:26 -0000	1.2
+++ finger/Makefile	26 Aug 2007 21:45:25 -0000
@@ -5,5 +5,6 @@
 PROG=	finger
 SRCS=	finger.c lprint.c net.c sprint.c util.c
 MAN=	finger.1 finger.conf.5
+WARNS?=	5
 
 .include <bsd.prog.mk>
Index: fmt/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/fmt/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- fmt/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ fmt/Makefile	26 Aug 2007 21:45:38 -0000
@@ -3,8 +3,5 @@
 # $DragonFly: src/usr.bin/fmt/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	fmt
-SRCS=	fmt.c
-
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: fold/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/fold/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- fold/Makefile	16 Jan 2005 21:14:51 -0000	1.2
+++ fold/Makefile	26 Aug 2007 21:45:48 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/fold/Makefile,v 1.2 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	fold
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: from/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/from/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- from/Makefile	16 Jan 2005 21:14:51 -0000	1.2
+++ from/Makefile	26 Aug 2007 21:45:54 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/from/Makefile,v 1.2 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	from
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: fstat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/fstat/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- fstat/Makefile	4 Apr 2005 17:42:51 -0000	1.3
+++ fstat/Makefile	26 Aug 2007 21:46:07 -0000
@@ -2,10 +2,8 @@
 # $FreeBSD: src/usr.bin/fstat/Makefile,v 1.4.2.1 2000/07/02 10:20:24 ps Exp $
 # $DragonFly: src/usr.bin/fstat/Makefile,v 1.3 2005/04/04 17:42:51 dillon Exp $
 
-WARNS?=	6
 PROG=	fstat
 SRCS=	cd9660.c fstat.c msdosfs.c
-CFLAGS+=-Wall
 CFLAGS+=-I${.CURDIR}/../../sys
 DPADD=	${LIBKVM}
 LDADD=	-lkvm
Index: fsync/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/fsync/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- fsync/Makefile	12 Dec 2004 17:01:05 -0000	1.3
+++ fsync/Makefile	26 Aug 2007 21:46:16 -0000
@@ -3,5 +3,4 @@
 
 PROG=	fsync
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: gcore/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/gcore/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- gcore/Makefile	17 Jun 2003 04:29:26 -0000	1.2
+++ gcore/Makefile	26 Aug 2007 21:49:02 -0000
@@ -4,9 +4,9 @@
 
 PROG=	gcore
 SRCS=	elfcore.c gcore.c
-CFLAGS+=-Wall
 DPADD=	${LIBKVM}
 LDADD=	-lkvm
+WARNS?=	2
 
 .if	${MACHINE_ARCH} != "sparc"
 SRCS+=	md-nop.c
Index: gencat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/gencat/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- gencat/Makefile	21 Apr 2005 16:36:35 -0000	1.3
+++ gencat/Makefile	27 Aug 2007 01:23:57 -0000
@@ -3,6 +3,7 @@
 
 PROG=	gencat
 SRCS=	gencat.c
+WARNS?=	2
 
 .if defined(BOOTSTRAPPING)
 nl_types.h:	../../include/nl_types.h
Index: getconf/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/getconf/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- getconf/Makefile	17 Jun 2003 04:29:27 -0000	1.2
+++ getconf/Makefile	26 Aug 2007 21:53:09 -0000
@@ -8,6 +8,7 @@
 CLEANFILES+=	confstr.c limits.c pathconf.c progenv.c sysconf.c \
 		confstr.names limits.names pathconf.names sysconf.names \
 		conflicting.names unique.names
+WARNS?=	2
 
 .SUFFIXES: .gperf .names
 .PHONY: conflicts
Index: getopt/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/getopt/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- getopt/Makefile	14 Apr 2005 15:49:12 -0000	1.3
+++ getopt/Makefile	26 Aug 2007 21:53:31 -0000
@@ -1,8 +1,6 @@
 # $FreeBSD: src/usr.bin/getopt/Makefile,v 1.2.2.1 2001/04/25 11:29:22 ru Exp $
 # $DragonFly: src/usr.bin/getopt/Makefile,v 1.3 2005/04/14 15:49:12 eirikn Exp $
-#
 
 PROG=	getopt
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: gprof/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/gprof/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- gprof/Makefile	31 Jul 2006 12:12:08 -0000	1.3
+++ gprof/Makefile	26 Aug 2007 21:54:23 -0000
@@ -7,5 +7,6 @@
 	printgprof.c printlist.c
 FILES=	gprof.flat gprof.callg
 FILESDIR=	${SHAREDIR}/misc
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: gprof4/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/gprof4/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- gprof4/Makefile	17 Jun 2003 02:56:09 -0000	1.1
+++ gprof4/Makefile	26 Aug 2007 21:57:50 -0000
@@ -3,11 +3,13 @@
 # beforeinstall.
 
 #	@(#)Makefile	5.17 (Berkeley) 5/11/90
+# $DragonFly$
 
 PROG=	gprof4
 NOMAN=	noman
 SRCS=	gprof.c aout.c arcs.c dfn.c elf.c lookup.c ${MACHINE_ARCH}.c hertz.c \
 	printgprof.c printlist.c
+WARNS?=	0
 CFLAGS+=-DGPROF4
 .PATH:	${.CURDIR}/../../usr.bin/gprof
 
Index: gzip/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/gzip/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- gzip/Makefile	22 Apr 2005 06:52:42 -0000	1.4
+++ gzip/Makefile	26 Aug 2007 21:59:04 -0000
@@ -2,12 +2,10 @@
 # $DragonFly: src/usr.bin/gzip/Makefile,v 1.4 2005/04/22 06:52:42 joerg Exp $
 
 PROG=		gzip
-SRCS=		gzip.c
 MAN=		gzip.1 gzexe.1 zdiff.1 zforce.1 zmore.1 znew.1
 
 DPADD=		${LIBZ}
 LDADD=		-lz
-WARNS=		6
 
 NOSHARED?=	yes
 
Index: head/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/head/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- head/Makefile	28 Nov 2004 20:20:42 -0000	1.2
+++ head/Makefile	26 Aug 2007 21:59:15 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/head/Makefile,v 1.2 2004/11/28 20:20:42 liamfoy Exp $
 
 PROG=	head
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: hexdump/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/hexdump/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- hexdump/Makefile	5 Feb 2005 01:05:12 -0000	1.3
+++ hexdump/Makefile	26 Aug 2007 21:59:23 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/hexdump/Makefile,v 1.3 2005/02/05 01:05:12 cpressey Exp $
 
 PROG=	hexdump
-WARNS?=	6
 SRCS=	conv.c display.c hexdump.c hexsyntax.c odsyntax.c parse.c
 MAN=	hexdump.1 od.1
 MLINKS=	hexdump.1 hd.1
Index: host/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/host/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- host/Makefile	20 Sep 2006 21:48:39 -0000	1.5
+++ host/Makefile	26 Aug 2007 22:00:39 -0000
@@ -11,6 +11,7 @@
 
 PROG=	host
 SRCS=	host.c dighost.c
+WARNS?=	3
 
 CFLAGS+= -I${.CURDIR}/../../usr.sbin/named \
 	-I${.CURDIR}/../../usr.sbin/named/include \
Index: iconv/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/iconv/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- iconv/Makefile	11 Mar 2005 19:16:53 -0000	1.1
+++ iconv/Makefile	26 Aug 2007 22:04:49 -0000
@@ -2,6 +2,5 @@
 
 PROG=	iconv
 CFLAGS+=-I. -I${.CURDIR} -I${.CURDIR}/../../lib/libc
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: id/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/id/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- id/Makefile	19 Sep 2004 17:25:42 -0000	1.3
+++ id/Makefile	26 Aug 2007 22:05:01 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/id/Makefile,v 1.3 2004/09/19 17:25:42 joerg Exp $
 
 PROG=	id
-WARNS?=	6
 LINKS=	${BINDIR}/id ${BINDIR}/groups
 LINKS+=	${BINDIR}/id ${BINDIR}/whoami
 MAN=	id.1 groups.1 whoami.1
Index: indent/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/indent/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- indent/Makefile	17 Jun 2003 02:56:10 -0000	1.1
+++ indent/Makefile	26 Aug 2007 22:05:45 -0000
@@ -1,6 +1,8 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/6/93
+# $DragonFly$
 
 PROG=	indent
 SRCS=	indent.c io.c lexi.c parse.c pr_comment.c args.c
+WARNS?=	2
 
 .include <bsd.prog.mk>
Index: ipcrm/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ipcrm/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- ipcrm/Makefile	19 Nov 2004 18:35:29 -0000	1.3
+++ ipcrm/Makefile	26 Aug 2007 22:06:54 -0000
@@ -3,5 +3,4 @@
 
 PROG=	ipcrm
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: ipcs/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ipcs/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ipcs/Makefile	17 Jun 2003 04:29:27 -0000	1.2
+++ ipcs/Makefile	26 Aug 2007 22:07:46 -0000
@@ -6,5 +6,6 @@
 BINMODE= 2555
 DPADD+=	${LIBKVM}
 LDADD+=	-lkvm
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: join/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/join/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- join/Makefile	16 Jan 2005 21:40:42 -0000	1.2
+++ join/Makefile	26 Aug 2007 22:08:13 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/join/Makefile,v 1.2 2005/01/16 21:40:42 cpressey Exp $
 
 PROG=	join
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: jot/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/jot/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- jot/Makefile	31 Jul 2004 10:23:11 -0000	1.2
+++ jot/Makefile	26 Aug 2007 22:08:25 -0000
@@ -3,6 +3,4 @@
 
 PROG=	jot
 
-WARNS?=6
-
 .include <bsd.prog.mk>
Index: kdump/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/kdump/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- kdump/Makefile	21 Jul 2004 16:13:42 -0000	1.5
+++ kdump/Makefile	26 Aug 2007 22:09:28 -0000
@@ -7,6 +7,7 @@
 PROG=		kdump
 SRCS=		kdump.c ioctl.c subr.c
 CFLAGS+=	-I${.CURDIR}/../ktrace -I${.CURDIR}/../.. -I${.CURDIR}/../../sys
+WARNS?=	0
 
 CLEANFILES=	ioctl.c
 
Index: kenv/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/kenv/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- kenv/Makefile	25 Feb 2005 14:55:51 -0000	1.3
+++ kenv/Makefile	26 Aug 2007 22:10:24 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/kenv/Makefile,v 1.3 2005/02/25 14:55:51 joerg Exp $
 
 PROG=	kenv
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: key/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/key/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- key/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ key/Makefile	26 Aug 2007 22:10:33 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/key/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	key
-WARNS?=	6
 SRCS=	skey.c
 
 CFLAGS+= -D_SKEY_INTERNAL
Index: keyinfo/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/keyinfo/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- keyinfo/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ keyinfo/Makefile	26 Aug 2007 22:10:47 -0000
@@ -6,6 +6,5 @@
 DPADD=	${LIBSKEY} ${LIBCRYPT} ${LIBMD}
 LDADD=	-lskey -lcrypt -lmd
 BINMODE=4555
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: keyinit/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/keyinit/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- keyinit/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ keyinit/Makefile	26 Aug 2007 22:10:56 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/keyinit/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	keyinit
-WARNS?=	6
 SRCS=	skeyinit.c
 
 CFLAGS+= -D_SKEY_INTERNAL
Index: keylogin/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/keylogin/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- keylogin/Makefile	17 Jun 2003 04:29:27 -0000	1.2
+++ keylogin/Makefile	26 Aug 2007 22:11:46 -0000
@@ -5,5 +5,6 @@
 
 DPADD=	${LIBRPCSVC}
 LDADD=	-lrpcsvc
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: keylogout/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/keylogout/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- keylogout/Makefile	17 Jun 2003 04:29:27 -0000	1.2
+++ keylogout/Makefile	26 Aug 2007 22:12:14 -0000
@@ -5,5 +5,6 @@
 
 DPADD=	${LIBRPCSVC}
 LDADD=	-lrpcsvc
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: killall/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/killall/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- killall/Makefile	13 May 2005 21:31:49 -0000	1.3
+++ killall/Makefile	26 Aug 2007 22:12:27 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/killall/Makefile,v 1.3 2005/05/13 21:31:49 joerg Exp $
 
 PROG=	killall
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: ktrace/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ktrace/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- ktrace/Makefile	1 Jun 2005 03:05:40 -0000	1.3
+++ ktrace/Makefile	26 Aug 2007 22:12:37 -0000
@@ -5,6 +5,5 @@
 PROG=	ktrace
 SRCS=	ktrace.c subr.c
 MLINKS= ktrace.1 trace.1 
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: ktrdump/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ktrdump/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- ktrdump/Makefile	8 Mar 2005 01:54:59 -0000	1.1
+++ ktrdump/Makefile	26 Aug 2007 22:14:08 -0000
@@ -5,5 +5,6 @@
 DPADD=	${LIBKVM}
 LDADD=	-lkvm
 MAN=	ktrdump.8
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: kzip/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/kzip/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- kzip/Makefile	17 Jun 2003 04:29:27 -0000	1.2
+++ kzip/Makefile	26 Aug 2007 22:15:16 -0000
@@ -3,5 +3,6 @@
 
 PROG=	kzip
 MAN=	kzip.8
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: lam/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lam/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- lam/Makefile	5 Jan 2005 00:38:38 -0000	1.3
+++ lam/Makefile	26 Aug 2007 22:15:35 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/lam/Makefile,v 1.3 2005/01/05 00:38:38 cpressey Exp $
 
 PROG=	lam
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: last/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/last/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- last/Makefile	17 Jun 2003 04:29:27 -0000	1.2
+++ last/Makefile	26 Aug 2007 22:16:34 -0000
@@ -3,5 +3,6 @@
 # $DragonFly: src/usr.bin/last/Makefile,v 1.2 2003/06/17 04:29:27 dillon Exp $
 
 PROG=	last
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: lastcomm/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lastcomm/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- lastcomm/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ lastcomm/Makefile	26 Aug 2007 22:16:42 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/lastcomm/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	lastcomm
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: ldd/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ldd/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ldd/Makefile	17 Jun 2003 04:29:27 -0000	1.2
+++ ldd/Makefile	26 Aug 2007 22:18:30 -0000
@@ -6,6 +6,6 @@
 .if ${MACHINE_ARCH} == "i386"
 SRCS+=		sods.c
 .endif
-CFLAGS+=	-Wall
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: leave/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/leave/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- leave/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ leave/Makefile	26 Aug 2007 22:19:10 -0000
@@ -3,7 +3,5 @@
 # $DragonFly: src/usr.bin/leave/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	leave
-WARNS?=	6
-CFLAGS+=-Wall
 
 .include <bsd.prog.mk>
Index: less/Makefile.common
===================================================================
RCS file: /home/dcvs/src/usr.bin/less/Makefile.common,v
retrieving revision 1.7
diff -u -r1.7 Makefile.common
--- less/Makefile.common	20 Jun 2007 23:37:33 -0000	1.7
+++ less/Makefile.common	26 Aug 2007 22:20:35 -0000
@@ -5,6 +5,7 @@
 .PATH:	${LSDIR}
 
 CFLAGS+=-I${.CURDIR}/../less -I${LSDIR}
+WARNS?=	1
 
 .SUFFIXES: .nro .1
 
Index: lex/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- lex/Makefile	5 Apr 2004 05:30:12 -0000	1.5
+++ lex/Makefile	26 Aug 2007 22:22:07 -0000
@@ -24,6 +24,7 @@
 MLINKS+=	lex.1 flex.1
 MLINKS+=	lex.1 flex++.1
 MLINKS+=	lex.1 lex++.1
+WARNS?=	1
 
 CLEANFILES=	scan.c skel.c
 
Index: limits/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/limits/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- limits/Makefile	12 Jan 2005 01:20:26 -0000	1.2
+++ limits/Makefile	26 Aug 2007 22:22:24 -0000
@@ -2,10 +2,7 @@
 # $DragonFly: src/usr.bin/limits/Makefile,v 1.2 2005/01/12 01:20:26 cpressey Exp $
 
 PROG=	limits
-WARNS?=	6
-SRCS=	limits.c
 
-CFLAGS+=-Wall
 LDADD+= -lutil
 DPADD+= ${LIBUTIL}
 
Index: locate/bigram/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/locate/bigram/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- locate/bigram/Makefile	17 Jun 2003 04:29:28 -0000	1.2
+++ locate/bigram/Makefile	26 Aug 2007 22:24:29 -0000
@@ -6,5 +6,6 @@
 NOMAN=	noman
 BINDIR=	${LIBEXECDIR}
 CFLAGS+= -I${.CURDIR}/../locate
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: locate/code/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/locate/code/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- locate/code/Makefile	17 Jun 2003 04:29:28 -0000	1.2
+++ locate/code/Makefile	26 Aug 2007 22:25:09 -0000
@@ -6,5 +6,6 @@
 CFLAGS+=-I${.CURDIR}/../locate 
 NOMAN=	noman
 BINDIR=	${LIBEXECDIR}
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: locate/locate/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/locate/locate/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- locate/locate/Makefile	17 Jun 2003 04:29:28 -0000	1.2
+++ locate/locate/Makefile	26 Aug 2007 22:25:56 -0000
@@ -7,6 +7,7 @@
 CFLAGS+= -I${.CURDIR} -DMMAP # -DDEBUG (print time) -O2 (10% faster)
 SCRIPTS=updatedb.sh mklocatedb.sh concatdb.sh
 MAN=	locate.1 locate.updatedb.8
+WARNS?=	1
 
 SCRIPTSDIR=	${LIBEXECDIR}
 .for script in ${SCRIPTS}
Index: lock/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lock/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- lock/Makefile	5 Jan 2005 00:45:31 -0000	1.3
+++ lock/Makefile	26 Aug 2007 22:26:14 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/lock/Makefile,v 1.3 2005/01/05 00:45:31 cpressey Exp $
 
 PROG=	lock
-WARNS?=	6
 BINMODE=4555
 DPADD=	${LIBCRYPT}
 LDADD=	-lcrypt
Index: lockf/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lockf/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- lockf/Makefile	5 Jan 2005 00:46:52 -0000	1.3
+++ lockf/Makefile	26 Aug 2007 22:26:24 -0000
@@ -2,7 +2,5 @@
 # $DragonFly: src/usr.bin/lockf/Makefile,v 1.3 2005/01/05 00:46:52 cpressey Exp $
 
 PROG=	lockf
-CFLAGS+=-Wall
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: logger/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/logger/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- logger/Makefile	25 Feb 2005 18:08:05 -0000	1.3
+++ logger/Makefile	26 Aug 2007 22:26:37 -0000
@@ -5,5 +5,4 @@
 PROG=	logger
 CFLAGS+=-DINET6
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: login/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/login/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- login/Makefile	17 Nov 2004 19:16:01 -0000	1.3
+++ login/Makefile	26 Aug 2007 22:28:31 -0000
@@ -5,8 +5,9 @@
 PROG=	login
 SRCS=	login.c login_access.c login_fbtab.c
 MAN=	login.1 login.access.5
+WARNS?=	2
 
-CFLAGS+=-Wall -DLOGIN_ACCESS -DLOGALL
+CFLAGS+=-DLOGIN_ACCESS -DLOGALL
 
 DPADD=	${LIBUTIL} ${LIBCRYPT}
 LDADD=	-lutil -lcrypt
Index: logname/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/logname/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- logname/Makefile	29 Oct 2004 13:52:53 -0000	1.2
+++ logname/Makefile	26 Aug 2007 22:28:42 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/logname/Makefile,v 1.2 2004/10/29 13:52:53 liamfoy Exp $
 
 PROG=	logname
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: look/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/look/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- look/Makefile	7 Jan 2005 02:43:41 -0000	1.2
+++ look/Makefile	26 Aug 2007 22:28:59 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/look/Makefile,v 1.2 2005/01/07 02:43:41 cpressey Exp $
 
 PROG=	look
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: lsvfs/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lsvfs/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- lsvfs/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ lsvfs/Makefile	26 Aug 2007 22:29:26 -0000
@@ -1,6 +1,6 @@
 # $FreeBSD: src/usr.bin/lsvfs/Makefile,v 1.4.2.1 2001/07/30 09:59:16 dd Exp $
 # $DragonFly: src/usr.bin/lsvfs/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
+
 PROG=	lsvfs
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: m4/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/m4/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- m4/Makefile	27 Dec 2006 21:29:02 -0000	1.3
+++ m4/Makefile	26 Aug 2007 22:32:00 -0000
@@ -7,6 +7,7 @@
 
 PROG=	m4
 CFLAGS+=-DEXTENDED
+WARNS?=	1
 
 SRCS=	eval.c expr.c look.c main.c misc.c gnum4.c trace.c
 
Index: mail/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mail/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- mail/Makefile	17 Jun 2003 04:29:28 -0000	1.2
+++ mail/Makefile	26 Aug 2007 22:32:50 -0000
@@ -11,6 +11,7 @@
 EFILES=	mail.rc
 LINKS=	${BINDIR}/mail ${BINDIR}/Mail ${BINDIR}/mail ${BINDIR}/mailx
 MLINKS=	mail.1 Mail.1 mail.1 mailx.1
+WARNS?=	1
 
 .PATH: ${.CURDIR}/misc
 
Index: make/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/make/Makefile,v
retrieving revision 1.36
diff -u -r1.36 Makefile
--- make/Makefile	19 Jul 2005 18:19:15 -0000	1.36
+++ make/Makefile	26 Aug 2007 22:37:55 -0000
@@ -10,7 +10,6 @@
 	lst.c main.c make.c parse.c proc.c shell.c str.c suff.c targ.c	\
 	util.c var.c
 
-WARNS?=	6
 WARNS_WERROR=	YES
 NOSHARED?=	YES
 
Index: mesg/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mesg/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- mesg/Makefile	1 Jan 2005 21:07:39 -0000	1.2
+++ mesg/Makefile	26 Aug 2007 22:38:08 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/mesg/Makefile,v 1.2 2005/01/01 21:07:39 cpressey Exp $
 
 PROG=	mesg
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: mkcsmapper/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mkcsmapper/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- mkcsmapper/Makefile	11 Mar 2005 20:17:11 -0000	1.1
+++ mkcsmapper/Makefile	27 Aug 2007 00:47:47 -0000
@@ -5,7 +5,6 @@
 SRCS+=		citrus_db_factory.c citrus_bcs.c citrus_db_hash.c
 SRCS+=		citrus_lookup_factory.c citrus_pivot_factory.c
 NOMAN=		1
-WARNS?=		6
 
 LIBCDIR=	${.CURDIR}/../../lib/libc
 CITRUSDIR=	${LIBCDIR}/citrus
Index: mkesdb/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mkesdb/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- mkesdb/Makefile	11 Mar 2005 20:17:11 -0000	1.1
+++ mkesdb/Makefile	26 Aug 2007 22:48:14 -0000
@@ -6,7 +6,6 @@
 SRCS+=		citrus_lookup_factory.c
 YHEADER=	1
 NOMAN=		1
-WARNS?=		6
 
 LIBCDIR=	${.CURDIR}/../../lib/libc
 CITRUSDIR=	${LIBCDIR}/citrus
Index: mkfifo/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mkfifo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- mkfifo/Makefile	28 Dec 2004 20:47:40 -0000	1.2
+++ mkfifo/Makefile	26 Aug 2007 22:48:24 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/mkfifo/Makefile,v 1.2 2004/12/28 20:47:40 liamfoy Exp $
 
 PROG=	mkfifo
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: mklocale/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mklocale/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- mklocale/Makefile	21 Apr 2005 16:36:35 -0000	1.4
+++ mklocale/Makefile	26 Aug 2007 22:48:36 -0000
@@ -6,6 +6,5 @@
 SRCS=		yacc.y lex.l
 CFLAGS+=-I. -I${.CURDIR} -I${.CURDIR}/../../lib/libc
 YFLAGS=	-d
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: mkstr/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mkstr/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- mkstr/Makefile	16 Jan 2005 21:14:51 -0000	1.2
+++ mkstr/Makefile	26 Aug 2007 22:48:51 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/mkstr/Makefile,v 1.2 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	mkstr
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: mktemp/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mktemp/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- mktemp/Makefile	1 Jan 2005 21:10:43 -0000	1.3
+++ mktemp/Makefile	26 Aug 2007 22:48:58 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/mktemp/Makefile,v 1.3 2005/01/01 21:10:43 cpressey Exp $
 
 PROG=	mktemp
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: msgs/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/msgs/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- msgs/Makefile	2 Feb 2005 06:39:09 -0000	1.3
+++ msgs/Makefile	26 Aug 2007 22:49:05 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/msgs/Makefile,v 1.3 2005/02/02 06:39:09 cpressey Exp $
 
 PROG=	msgs
-WARNS?=	6
 DPADD=	${LIBTERMCAP}
 LDADD=	-ltermcap
 
Index: mt/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/mt/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- mt/Makefile	6 Feb 2004 03:23:50 -0000	1.4
+++ mt/Makefile	26 Aug 2007 22:49:37 -0000
@@ -4,5 +4,6 @@
 
 PROG=	mt
 CFLAGS+=-I${.CURDIR}/../../sys
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: ncal/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ncal/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- ncal/Makefile	24 Jan 2004 22:29:20 -0000	1.3
+++ ncal/Makefile	26 Aug 2007 22:54:26 -0000
@@ -1,9 +1,8 @@
 # $FreeBSD: src/usr.bin/ncal/Makefile,v 1.2 1999/08/28 01:04:25 peter Exp $
 # $DragonFly: src/usr.bin/ncal/Makefile,v 1.3 2004/01/24 22:29:20 joerg Exp $
-PROG= ncal
-SRCS= ncal.c
 
-CFLAGS+=	-Wall -Wmissing-prototypes -ansi -pedantic
+PROG= ncal
+WARNS?=	1
 
 DPADD+=		${LIBCALENDAR}
 LDADD+=		-lcalendar
Index: ncplist/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ncplist/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ncplist/Makefile	17 Jun 2003 04:29:30 -0000	1.2
+++ ncplist/Makefile	26 Aug 2007 22:55:31 -0000
@@ -2,6 +2,7 @@
 # $DragonFly: src/usr.bin/ncplist/Makefile,v 1.2 2003/06/17 04:29:30 dillon Exp $
 
 PROG=	ncplist
+WARNS?=	0
 
 DPADD=	${LIBNCP} ${LIBIPX}
 LDADD=	-lncp -lipx
Index: ncplogin/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ncplogin/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ncplogin/Makefile	17 Jun 2003 04:29:30 -0000	1.2
+++ ncplogin/Makefile	26 Aug 2007 22:56:38 -0000
@@ -3,6 +3,7 @@
 
 PROG=	ncplogin
 MAN=	ncplogin.1 ncplogout.1
+WARNS?=	0
 
 LINKS=	${BINDIR}/ncplogin ${BINDIR}/ncplogout
 
Index: netstat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/netstat/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- netstat/Makefile	1 May 2005 04:05:35 -0000	1.3
+++ netstat/Makefile	26 Aug 2007 22:59:09 -0000
@@ -5,9 +5,9 @@
 PROG=	netstat
 SRCS=	if.c inet.c inet6.c main.c mbuf.c mroute.c ipx.c route.c \
 	unix.c atalk.c netgraph.c mroute6.c ipsec.c # iso.c ns.c tp_astring.c 
-CFLAGS+=-Wall
 CFLAGS+=-DIPSEC
 CFLAGS+=-DINET6
+WARNS?=	0
 
 #CFLAGS+=-g
 #.PATH:	${.CURDIR}/../../sys/netiso
Index: newgrp/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/newgrp/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- newgrp/Makefile	23 Nov 2004 16:26:04 -0000	1.1
+++ newgrp/Makefile	26 Aug 2007 22:59:38 -0000
@@ -10,5 +10,4 @@
 INSTALLFLAGS=	-fschg
 .endif
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: newkey/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/newkey/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- newkey/Makefile	11 Jan 2005 00:58:23 -0000	1.4
+++ newkey/Makefile	26 Aug 2007 22:59:51 -0000
@@ -10,6 +10,5 @@
 
 DPADD=	${LIBRPCSVC} ${LIBCRYPTO}
 LDADD=	-lrpcsvc -lcrypto
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: nfsstat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/nfsstat/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- nfsstat/Makefile	17 Jun 2003 04:29:30 -0000	1.2
+++ nfsstat/Makefile	26 Aug 2007 23:02:31 -0000
@@ -6,5 +6,6 @@
 CFLAGS+=-DNFS
 DPADD=  ${LIBKVM}
 LDADD= -lkvm
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: nice/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/nice/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- nice/Makefile	1 Dec 2004 18:27:06 -0000	1.2
+++ nice/Makefile	26 Aug 2007 23:02:42 -0000
@@ -3,5 +3,4 @@
 
 PROG=	nice
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: nl/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/nl/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- nl/Makefile	17 Jun 2003 04:29:30 -0000	1.2
+++ nl/Makefile	26 Aug 2007 23:03:13 -0000
@@ -2,5 +2,6 @@
 # $DragonFly: src/usr.bin/nl/Makefile,v 1.2 2003/06/17 04:29:30 dillon Exp $
 
 PROG=	nl
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: nohup/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/nohup/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- nohup/Makefile	29 Oct 2004 15:10:55 -0000	1.2
+++ nohup/Makefile	26 Aug 2007 23:03:25 -0000
@@ -3,5 +3,4 @@
 
 PROG=	nohup
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: objformat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/objformat/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- objformat/Makefile	26 Aug 2007 08:15:50 -0000	1.11
+++ objformat/Makefile	26 Aug 2007 23:03:36 -0000
@@ -3,7 +3,6 @@
 
 PROG=		objformat
 NOSHARED?=	YES
-WARNS?=		6
 
 .if defined(TARGET_ARCH)
 CFLAGS+=	-DTARGET_ARCH="${TARGET_ARCH}"
Index: opieinfo/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/opieinfo/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- opieinfo/Makefile	17 Nov 2004 19:16:02 -0000	1.3
+++ opieinfo/Makefile	26 Aug 2007 23:04:16 -0000
@@ -8,6 +8,7 @@
 CFLAGS+=-I${.CURDIR}/../../lib/libopie
 CFLAGS+=-I${OPIE_DIST}
 CFLAGS+=-DINSECURE_OVERRIDE
+WARNS?=	0
 
 DPADD=	${LIBOPIE} ${LIBMD}
 LDADD=	-lopie -lmd
Index: opiekey/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/opiekey/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- opiekey/Makefile	17 Jun 2003 04:29:30 -0000	1.2
+++ opiekey/Makefile	26 Aug 2007 23:07:27 -0000
@@ -8,6 +8,7 @@
 CFLAGS+=-I${.CURDIR}/../../lib/libopie
 CFLAGS+=-I${OPIE_DIST}
 CFLAGS+=-DINSECURE_OVERRIDE
+WARNS?=	1
 
 DPADD=	${LIBOPIE} ${LIBMD}
 LDADD=	-lopie -lmd
Index: opiepasswd/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/opiepasswd/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- opiepasswd/Makefile	17 Nov 2004 19:16:03 -0000	1.3
+++ opiepasswd/Makefile	26 Aug 2007 23:08:11 -0000
@@ -8,6 +8,7 @@
 CFLAGS+=-I${.CURDIR}/../../lib/libopie
 CFLAGS+=-I${OPIE_DIST}
 CFLAGS+=-DINSECURE_OVERRIDE
+WARNS?=	1
 
 DPADD=	${LIBOPIE} ${LIBMD}
 LDADD=	-lopie -lmd
Index: passwd/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/passwd/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- passwd/Makefile	17 Nov 2004 19:16:05 -0000	1.4
+++ passwd/Makefile	26 Aug 2007 23:11:49 -0000
@@ -11,7 +11,6 @@
 
 GENSRCS=yp.h yp_clnt.c yppasswd.h yppasswd_clnt.c \
 	yppasswd_private.h yppasswd_private_clnt.c yppasswd_private_xdr.c
-CFLAGS+=-Wall
 
 DPADD=	${LIBCRYPT} ${LIBUTIL}
 LDADD=	-lcrypt -lutil
@@ -32,7 +31,6 @@
 	yp_passwd.c ypxfr_misc.c ${GENSRCS}
 GENSRCS=yp.h yp_clnt.c yppasswd.h yppasswd_clnt.c \
 	yppasswd_private.h yppasswd_private_clnt.c yppasswd_private_xdr.c
-CFLAGS+=-Wall
 
 DPADD=	${LIBCRYPT} ${LIBRPCSVC} ${LIBUTIL}
 LDADD=	-lcrypt -lrpcsvc -lutil
@@ -82,6 +80,7 @@
 BINMODE=4555
 LINKS=${BINDIR}/passwd ${BINDIR}/yppasswd
 MLINKS=passwd.1 yppasswd.1
+WARNS?=	1
 
 beforeinstall:
 .for i in passwd yppasswd
Index: paste/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/paste/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- paste/Makefile	15 Dec 2004 23:40:55 -0000	1.3
+++ paste/Makefile	26 Aug 2007 23:12:11 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/paste/Makefile,v 1.3 2004/12/15 23:40:55 cpressey Exp $
 
 PROG=	paste
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: patch/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/patch/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- patch/Makefile	9 Jul 2005 11:05:10 -0000	1.5
+++ patch/Makefile	26 Aug 2007 23:12:22 -0000
@@ -3,7 +3,6 @@
 
 PROG=	patch
 SRCS=	patch.c pch.c inp.c util.c backupfile.c
-WARNS?=	6
 
 .if defined(BOOTSTRAPPING)
 CFLAGS+= -DBOOTSTRAPPING
Index: pathchk/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/pathchk/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- pathchk/Makefile	31 Dec 2004 08:11:56 -0000	1.3
+++ pathchk/Makefile	26 Aug 2007 23:12:35 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/pathchk/Makefile,v 1.3 2004/12/31 08:11:56 cpressey Exp $
 
 PROG=	pathchk
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: pctrack/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/pctrack/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- pctrack/Makefile	8 Jun 2006 18:48:30 -0000	1.1
+++ pctrack/Makefile	26 Aug 2007 23:13:24 -0000
@@ -4,5 +4,6 @@
 DPADD=	${LIBKVM}
 LDADD=	-lkvm
 MAN=	pctrack.8
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: pkill/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/pkill/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- pkill/Makefile	20 Dec 2004 20:09:23 -0000	1.2
+++ pkill/Makefile	26 Aug 2007 23:13:58 -0000
@@ -2,8 +2,6 @@
 #	$DragonFly: src/usr.bin/pkill/Makefile,v 1.2 2004/12/20 20:09:23 cpressey Exp $
 
 PROG=	pkill
-SRCS=	pkill.c
-MAN=	pkill.1
 
 LDADD+=	-lkvm
 DPADD+=	${LIBKVM}
@@ -11,6 +9,4 @@
 LINKS+=	${BINDIR}/pkill ${BINDIR}/pgrep
 MLINKS+=pkill.1 pgrep.1
 
-WARNS?=	6
-
 .include <bsd.prog.mk>
Index: pr/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/pr/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- pr/Makefile	17 Jun 2003 02:56:24 -0000	1.1
+++ pr/Makefile	26 Aug 2007 23:14:54 -0000
@@ -1,6 +1,8 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/6/93
+# $DragonFly$
 
 PROG=	pr
 SRCS=	pr.c egetopt.c
+WARNS?=	2
 
 .include <bsd.prog.mk>
Index: printenv/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/printenv/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- printenv/Makefile	7 Jan 2005 02:32:50 -0000	1.2
+++ printenv/Makefile	26 Aug 2007 23:15:08 -0000
@@ -3,6 +3,5 @@
 
 PROG=	printenv
 MLINKS=	printenv.1 env.1
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: printf/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/printf/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- printf/Makefile	1 Jan 2005 21:50:23 -0000	1.4
+++ printf/Makefile	26 Aug 2007 23:15:16 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/printf/Makefile,v 1.4 2005/01/01 21:50:23 cpressey Exp $
 
 PROG=	printf
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: quota/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/quota/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- quota/Makefile	18 Mar 2005 00:57:10 -0000	1.2
+++ quota/Makefile	26 Aug 2007 23:15:26 -0000
@@ -3,7 +3,6 @@
 
 PROG=	quota
 BINMODE=4555
-WARNS?=	6
 
 DPADD=	${LIBRPCSVC}
 LDADD=	-lrpcsvc
Index: rdist/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rdist/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- rdist/Makefile	17 Jun 2003 04:29:30 -0000	1.2
+++ rdist/Makefile	26 Aug 2007 23:16:27 -0000
@@ -6,6 +6,7 @@
 SRCS=	docmd.c expand.c gram.y lookup.c main.c rshrcmd.c server.c
 CFLAGS+=-I${.CURDIR}
 YFLAGS=
+WARNS?=	0
 
 # To use the old method, which requires setuid-root and all the baggage and
 # security holes that goes with it, uncomment:
Index: relpath/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/relpath/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- relpath/Makefile	19 Jan 2005 21:58:04 -0000	1.3
+++ relpath/Makefile	26 Aug 2007 23:16:39 -0000
@@ -1,8 +1,5 @@
 # $DragonFly: src/usr.bin/relpath/Makefile,v 1.3 2005/01/19 21:58:04 okumoto Exp $
 
 PROG=	relpath
-SRCS=	relpath.c
-MAN=	relpath.1
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: renice/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/renice/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- renice/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ renice/Makefile	26 Aug 2007 23:17:22 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/renice/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	renice
-WARNS?=	6
 MAN=	renice.8
 
 .include <bsd.prog.mk>
Index: rev/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rev/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- rev/Makefile	13 Dec 2004 17:43:57 -0000	1.2
+++ rev/Makefile	26 Aug 2007 23:17:29 -0000
@@ -3,5 +3,4 @@
 
 PROG=	rev
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: rlogin/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rlogin/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- rlogin/Makefile	15 Feb 2005 01:24:49 -0000	1.5
+++ rlogin/Makefile	26 Aug 2007 23:17:39 -0000
@@ -3,9 +3,6 @@
 # $DragonFly: src/usr.bin/rlogin/Makefile,v 1.5 2005/02/15 01:24:49 cpressey Exp $
 
 PROG=	rlogin
-WARNS?=	6
-SRCS=	rlogin.c
-CFLAGS+=-Wall
 
 BINMODE=4555
 .if !defined(NOFSCHG)
Index: rpcgen/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rpcgen/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- rpcgen/Makefile	19 Jun 2004 16:40:36 -0000	1.3
+++ rpcgen/Makefile	26 Aug 2007 23:18:33 -0000
@@ -4,5 +4,6 @@
 PROG=	rpcgen
 SRCS=	rpc_main.c  rpc_clntout.c rpc_cout.c rpc_hout.c rpc_parse.c \
 	rpc_sample.c rpc_scan.c rpc_svcout.c rpc_tblout.c rpc_util.c
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: rpcinfo/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rpcinfo/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- rpcinfo/Makefile	17 Jun 2003 04:29:31 -0000	1.2
+++ rpcinfo/Makefile	26 Aug 2007 23:19:23 -0000
@@ -4,5 +4,6 @@
 
 PROG=	rpcinfo
 MAN=	rpcinfo.8
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: rs/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rs/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- rs/Makefile	5 Jan 2005 00:32:50 -0000	1.2
+++ rs/Makefile	26 Aug 2007 23:19:31 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/rs/Makefile,v 1.2 2005/01/05 00:32:50 cpressey Exp $
 
 PROG=	rs
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: rsh/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rsh/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- rsh/Makefile	1 Jan 2005 22:00:15 -0000	1.5
+++ rsh/Makefile	26 Aug 2007 23:19:44 -0000
@@ -3,9 +3,7 @@
 # $DragonFly: src/usr.bin/rsh/Makefile,v 1.5 2005/01/01 22:00:15 cpressey Exp $
 
 PROG=	rsh
-SRCS=	rsh.c
 CFLAGS+=-I${.CURDIR}/../../libexec/rlogind
-WARNS?=	6
 
 BINMODE=4555
 .if !defined(NOFSCHG)
Index: rup/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rup/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- rup/Makefile	14 Sep 2004 18:36:40 -0000	1.3
+++ rup/Makefile	26 Aug 2007 23:19:54 -0000
@@ -6,6 +6,4 @@
 DPADD=	${LIBRPCSVC}
 LDADD=	-lrpcsvc
 
-WARNS?=	6
-
 .include <bsd.prog.mk>
Index: ruptime/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ruptime/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- ruptime/Makefile	5 Jan 2005 00:33:50 -0000	1.4
+++ ruptime/Makefile	26 Aug 2007 23:20:00 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/ruptime/Makefile,v 1.4 2005/01/05 00:33:50 cpressey Exp $
 
 PROG=	ruptime
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: rusers/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rusers/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- rusers/Makefile	17 Jun 2003 04:29:31 -0000	1.2
+++ rusers/Makefile	26 Aug 2007 23:20:53 -0000
@@ -5,5 +5,6 @@
 
 DPADD=	${LIBRPCSVC}
 LDADD=	-lrpcsvc
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: rwall/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rwall/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- rwall/Makefile	15 Sep 2004 19:58:05 -0000	1.3
+++ rwall/Makefile	26 Aug 2007 23:21:02 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/rwall/Makefile,v 1.3 2004/09/15 19:58:05 joerg Exp $
 
 PROG=	rwall
-WARNS?=	6
 
 DPADD=	${LIBRPCSVC}
 LDADD=	-lrpcsvc
Index: rwho/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/rwho/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- rwho/Makefile	9 Jan 2005 16:20:54 -0000	1.2
+++ rwho/Makefile	26 Aug 2007 23:21:08 -0000
@@ -3,5 +3,4 @@
 
 PROG=	rwho
 
-WARNS?= 6
 .include <bsd.prog.mk>
Index: sasc/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/sasc/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- sasc/Makefile	5 Jan 2005 00:34:36 -0000	1.2
+++ sasc/Makefile	26 Aug 2007 23:23:51 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/sasc/Makefile,v 1.2 2005/01/05 00:34:36 cpressey Exp $
 
 PROG=	sasc
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: script/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/script/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- script/Makefile	3 Jan 2005 17:35:57 -0000	1.2
+++ script/Makefile	26 Aug 2007 23:24:02 -0000
@@ -5,5 +5,4 @@
 LDADD=	-lutil
 DPADD=	${LIBUTIL}
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: sed/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/sed/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- sed/Makefile	17 Jun 2003 04:29:31 -0000	1.2
+++ sed/Makefile	26 Aug 2007 23:24:42 -0000
@@ -4,5 +4,6 @@
 
 PROG=	sed
 SRCS=	compile.c main.c misc.c process.c
+WARNS?=	2
 
 .include <bsd.prog.mk>
Index: seq/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/seq/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- seq/Makefile	22 Jan 2005 19:09:40 -0000	1.1
+++ seq/Makefile	26 Aug 2007 23:26:43 -0000
@@ -1,7 +1,7 @@
 #       $DragonFly: src/usr.bin/seq/Makefile,v 1.1 2005/01/22 19:09:40 joerg Exp $
 
-WARNS?=	6
 PROG=   seq
 LDADD+= -lm
+DPADD+=	${LIBM}
 
 .include <bsd.prog.mk>
Index: shlock/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/shlock/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- shlock/Makefile	31 Jul 2005 09:13:48 -0000	1.2
+++ shlock/Makefile	26 Aug 2007 23:28:42 -0000
@@ -1,6 +1,5 @@
 # $DragonFly: src/usr.bin/shlock/Makefile,v 1.2 2005/07/31 09:13:48 asmodai Exp $
 
 PROG=	shlock
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: showmount/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/showmount/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- showmount/Makefile	5 Sep 2005 04:22:07 -0000	1.3
+++ showmount/Makefile	26 Aug 2007 23:28:50 -0000
@@ -4,6 +4,5 @@
 
 PROG=	showmount
 MAN=	showmount.8
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: smbutil/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/smbutil/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- smbutil/Makefile	17 Jun 2003 04:29:31 -0000	1.2
+++ smbutil/Makefile	26 Aug 2007 23:29:48 -0000
@@ -3,6 +3,7 @@
 
 PROG=	smbutil
 SRCS=	smbutil.c dumptree.c login.c lookup.c view.c print.c
+WARNS?=	2
 
 DPADD=	${LIBSMB}
 LDADD=	-lsmb
Index: sockstat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/sockstat/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- sockstat/Makefile	13 May 2005 22:30:11 -0000	1.5
+++ sockstat/Makefile	26 Aug 2007 23:38:22 -0000
@@ -2,9 +2,8 @@
 # $DragonFly: src/usr.bin/sockstat/Makefile,v 1.5 2005/05/13 22:30:11 joerg Exp $
 
 PROG=	sockstat
-MAN=	sockstat.1
 DPADD=	${LIBKINFO}
-LDADD=	${LIBKINFO}
-WARNS?=	6
+LDADD=	-lkinfo
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: soelim/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/soelim/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- soelim/Makefile	26 Sep 2004 15:56:13 -0000	1.2
+++ soelim/Makefile	26 Aug 2007 23:38:40 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/soelim/Makefile,v 1.2 2004/09/26 15:56:13 joerg Exp $
 
 PROG=	soelim
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: split/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/split/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- split/Makefile	2 Jan 2005 01:45:20 -0000	1.3
+++ split/Makefile	26 Aug 2007 23:38:57 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/split/Makefile,v 1.3 2005/01/02 01:45:20 cpressey Exp $
 
 PROG=	split
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: stat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/stat/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- stat/Makefile	28 Jul 2003 20:47:10 -0000	1.1
+++ stat/Makefile	26 Aug 2007 23:39:12 -0000
@@ -2,8 +2,6 @@
 # $DragonFly: src/usr.bin/stat/Makefile,v 1.1 2003/07/28 20:47:10 rob Exp $
 
 PROG=	stat
-MAN=	stat.1
-SRCS=	stat.c
 WARNS?=	2
 
 LINKS=	${BINDIR}/stat ${BINDIR}/readlink
Index: su/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/su/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- su/Makefile	6 Sep 2005 18:55:44 -0000	1.6
+++ su/Makefile	26 Aug 2007 23:39:47 -0000
@@ -3,8 +3,6 @@
 # $DragonFly: src/usr.bin/su/Makefile,v 1.6 2005/09/06 18:55:44 dillon Exp $
 
 PROG=	su
-SRCS=	su.c
-WARNS?=	6
 
 COPTS+=	-DLOGIN_CAP -DSKEY
 DPADD=	${LIBUTIL} ${LIBSKEY} ${LIBMD} ${LIBCRYPT}
Index: symorder/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/symorder/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- symorder/Makefile	17 Jun 2003 02:56:27 -0000	1.1
+++ symorder/Makefile	26 Aug 2007 23:40:26 -0000
@@ -1,5 +1,7 @@
 #	@(#)Makefile	5.3 (Berkeley) 5/11/90
+# $DragonFly$
 
 PROG=	symorder
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: systat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- systat/Makefile	31 May 2007 11:38:36 -0000	1.4
+++ systat/Makefile	26 Aug 2007 23:41:27 -0000
@@ -10,5 +10,6 @@
 LDADD=	-lcurses -ltermcap -lm -lkvm -ldevstat -lkinfo
 BINGRP=	kmem
 BINMODE=2555
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: tabs/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tabs/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- tabs/Makefile	1 Jan 2005 21:24:07 -0000	1.2
+++ tabs/Makefile	26 Aug 2007 23:41:43 -0000
@@ -4,6 +4,5 @@
 PROG=	tabs
 DPADD=	${LIBTERMCAP}
 LDADD=	-ltermcap
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: tail/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tail/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- tail/Makefile	1 Mar 2005 21:37:33 -0000	1.2
+++ tail/Makefile	26 Aug 2007 23:41:50 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/tail/Makefile,v 1.2 2005/03/01 21:37:33 cpressey Exp $
 
 PROG=	tail
-WARNS?=	6
 SRCS=	forward.c misc.c read.c reverse.c tail.c
 
 .include <bsd.prog.mk>
Index: talk/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/talk/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- talk/Makefile	17 Jun 2003 04:29:32 -0000	1.2
+++ talk/Makefile	26 Aug 2007 23:42:34 -0000
@@ -5,8 +5,8 @@
 PROG=	talk
 DPADD=	${LIBCURSES} ${LIBTERMCAP}
 LDADD=	-lcurses -ltermcap
-CFLAGS+= -Wall -Wstrict-prototypes -Wno-unused
 SRCS=	ctl.c ctl_transact.c display.c get_addrs.c get_iface.c get_names.c \
 	init_disp.c invite.c io.c look_up.c msgs.c talk.c
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: tar/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tar/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- tar/Makefile	9 May 2007 19:39:24 -0000	1.11
+++ tar/Makefile	26 Aug 2007 23:42:52 -0000
@@ -2,7 +2,6 @@
 
 PROG=	bsdtar
 SRCS=	bsdtar.c getdate.y matching.c read.c tree.c util.c write.c
-WARNS?=	6
 DPADD=	${LIBARCHIVE} ${LIBBZ2} ${LIBZ}
 LDADD=	-larchive -lbz2 -lz
 NOSHARED?=	yes
Index: tcopy/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tcopy/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- tcopy/Makefile	17 Jun 2003 02:56:29 -0000	1.1
+++ tcopy/Makefile	26 Aug 2007 23:43:35 -0000
@@ -1,5 +1,7 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/6/93
+# $DragonFly$
 
 PROG=	tcopy
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: tee/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tee/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- tee/Makefile	15 Aug 2004 17:05:06 -0000	1.2
+++ tee/Makefile	26 Aug 2007 23:43:45 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/tee/Makefile,v 1.2 2004/08/15 17:05:06 joerg Exp $
 
 PROG=	tee
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: telnet/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/telnet/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- telnet/Makefile	17 Jun 2003 04:29:32 -0000	1.2
+++ telnet/Makefile	26 Aug 2007 23:45:28 -0000
@@ -8,6 +8,7 @@
 
 CFLAGS+=	-DKLUDGELINEMODE -DUSE_TERMIO -DENV_HACK -DOPIE \
 		-I${.CURDIR}/../../lib -I${.CURDIR}/../../lib/libtelnet/
+WARNS?=	0
 
 .if exists(${.OBJDIR}/../../lib/libtelnet)
 LIBTELNET=	${.OBJDIR}/../../lib/libtelnet/libtelnet.a
Index: tftp/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tftp/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- tftp/Makefile	17 Jun 2003 02:56:29 -0000	1.1
+++ tftp/Makefile	26 Aug 2007 23:48:22 -0000
@@ -1,6 +1,8 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/6/93
+# $DragonFly$
 
 PROG=	tftp
 SRCS=	main.c tftp.c tftpsubs.c
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: time/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/time/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- time/Makefile	22 Dec 2004 11:01:49 -0000	1.3
+++ time/Makefile	26 Aug 2007 23:48:46 -0000
@@ -4,6 +4,5 @@
 PROG=	time
 DPADD=	${LIBKINFO}
 LDADD=	-lkinfo
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: tip/libacu/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- tip/libacu/Makefile	17 Jun 2003 04:29:32 -0000	1.2
+++ tip/libacu/Makefile	26 Aug 2007 23:50:33 -0000
@@ -6,6 +6,7 @@
 CFLAGS+=	-I${.CURDIR}/../tip
 SRCS=		acucommon.c biz22.c courier.c df.c dn11.c hayes.c \
 		multitech.c t3000.c tod.c unidialer.c v3451.c v831.c ventel.c
+WARNS?=	0
 
 $(OBJS):	${.CURDIR}/../tip/tipconf.h
 
Index: tip/tip/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- tip/tip/Makefile	9 Sep 2004 07:24:41 -0000	1.4
+++ tip/tip/Makefile	26 Aug 2007 23:51:45 -0000
@@ -23,6 +23,7 @@
 MAN=	tip.1 modems.5
 SRCS=	acu.c acutab.c cmds.c cmdtab.c cu.c hunt.c log.c partab.c \
 	remote.c tip.c tipout.c value.c vars.c
+WARNS?=	1
 
 BINDIR?=	/usr/bin
 BINOWN=		uucp
Index: top/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/top/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- top/Makefile	15 Feb 2006 12:54:36 -0000	1.7
+++ top/Makefile	26 Aug 2007 23:52:39 -0000
@@ -25,6 +25,7 @@
 LDADD=  -ltermcap -lm -lkvm -lkinfo
 BINGRP= kmem
 BINMODE=2555
+WARNS?=	0
 
 top.1:	top.x top.local.1
 	cat ${.ALLSRC} > top.1
Index: touch/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/touch/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- touch/Makefile	15 Aug 2004 15:06:58 -0000	1.2
+++ touch/Makefile	26 Aug 2007 23:52:47 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/touch/Makefile,v 1.2 2004/08/15 15:06:58 joerg Exp $
 
 PROG=	touch
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: tput/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tput/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- tput/Makefile	4 Feb 2005 20:00:25 -0000	1.3
+++ tput/Makefile	26 Aug 2007 23:52:57 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/tput/Makefile,v 1.3 2005/02/04 20:00:25 cpressey Exp $
 
 PROG=	tput
-WARNS?=	6
 DPADD=	${LIBTERMCAP}
 LDADD=	-ltermcap
 SCRIPTS=clear.sh
Index: tr/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tr/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- tr/Makefile	16 Jan 2005 21:14:51 -0000	1.2
+++ tr/Makefile	26 Aug 2007 23:53:07 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/tr/Makefile,v 1.2 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	tr
-WARNS?=	6
 SRCS=	str.c tr.c
 
 .include <bsd.prog.mk>
Index: true/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/true/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- true/Makefile	11 Jan 2005 22:20:52 -0000	1.2
+++ true/Makefile	26 Aug 2007 23:53:17 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/true/Makefile,v 1.2 2005/01/11 22:20:52 okumoto Exp $
 
 PROG=		true
-WARNS?=		6
 
 .include <bsd.prog.mk>
Index: truncate/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/truncate/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- truncate/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ truncate/Makefile	26 Aug 2007 23:53:28 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/truncate/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=		truncate
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: truss/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/truss/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- truss/Makefile	28 May 2005 00:22:04 -0000	1.7
+++ truss/Makefile	26 Aug 2007 23:59:08 -0000
@@ -6,6 +6,7 @@
 .if (${MACHINE_ARCH} == "i386")
 SRCS+=	i386-fbsd.c i386-linux.c linux_syscalls.h
 .endif
+WARNS?=	0
 
 CFLAGS+= -I${.CURDIR} -I${.CURDIR}/../../sys -I.
 
Index: tset/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tset/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- tset/Makefile	17 Jun 2003 02:56:31 -0000	1.1
+++ tset/Makefile	27 Aug 2007 00:08:15 -0000
@@ -1,7 +1,9 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/9/93
+# $DragonFly$
 
 PROG=	tset
 SRCS=	map.c misc.c set.c term.c tset.c wrterm.c
+WARNS?=	1
 
 DPADD=	${LIBTERMCAP}
 LDADD=	-ltermcap
Index: tsort/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tsort/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- tsort/Makefile	21 Dec 2004 20:00:57 -0000	1.2
+++ tsort/Makefile	27 Aug 2007 00:11:39 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/tsort/Makefile,v 1.2 2004/12/21 20:00:57 cpressey Exp $
 
 PROG=	tsort
-WARNS=	6
 
 .include <bsd.prog.mk>
Index: tty/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/tty/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- tty/Makefile	23 Dec 2004 15:17:21 -0000	1.2
+++ tty/Makefile	27 Aug 2007 00:11:58 -0000
@@ -3,5 +3,4 @@
 
 PROG=	tty
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: ul/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ul/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ul/Makefile	5 Jan 2005 02:40:23 -0000	1.2
+++ ul/Makefile	27 Aug 2007 00:12:11 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/ul/Makefile,v 1.2 2005/01/05 02:40:23 cpressey Exp $
 
 PROG=	ul
-WARNS?=	6
 DPADD=	${LIBTERMCAP}
 LDADD=	-ltermcap
 
Index: uname/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/uname/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- uname/Makefile	1 Jan 2005 21:28:27 -0000	1.2
+++ uname/Makefile	27 Aug 2007 00:12:17 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/uname/Makefile,v 1.2 2005/01/01 21:28:27 cpressey Exp $
 
 PROG=	uname
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: unexpand/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/unexpand/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- unexpand/Makefile	16 Jan 2005 21:14:51 -0000	1.3
+++ unexpand/Makefile	27 Aug 2007 00:12:24 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/unexpand/Makefile,v 1.3 2005/01/16 21:14:51 cpressey Exp $
 
 PROG=	unexpand
-WARNS?=	6
 NOMAN=	noman
 
 .include <bsd.prog.mk>
Index: unifdef/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/unifdef/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- unifdef/Makefile	16 Jan 2005 21:14:51 -0000	1.4
+++ unifdef/Makefile	27 Aug 2007 00:12:33 -0000
@@ -5,6 +5,5 @@
 PROG=	unifdef
 SCRIPTS=unifdefall.sh
 MLINKS=	unifdef.1 unifdefall.1
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: uniq/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/uniq/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- uniq/Makefile	12 Jan 2005 01:36:50 -0000	1.2
+++ uniq/Makefile	27 Aug 2007 00:12:39 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/uniq/Makefile,v 1.2 2005/01/12 01:36:50 cpressey Exp $
 
 PROG=	uniq
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: units/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/units/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- units/Makefile	2 Feb 2005 06:22:30 -0000	1.3
+++ units/Makefile	27 Aug 2007 00:12:46 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/units/Makefile,v 1.3 2005/02/02 06:22:30 cpressey Exp $
 
 PROG=	units
-WARNS?=	6
 FILES=	units.lib
 FILESDIR=	${SHAREDIR}/misc
 
Index: unvis/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/unvis/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- unvis/Makefile	3 Jan 2005 01:06:24 -0000	1.2
+++ unvis/Makefile	27 Aug 2007 00:12:53 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/unvis/Makefile,v 1.2 2005/01/03 01:06:24 cpressey Exp $
 
 PROG=	unvis
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: usbhidctl/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/usbhidctl/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- usbhidctl/Makefile	20 Dec 2004 18:08:32 -0000	1.3
+++ usbhidctl/Makefile	27 Aug 2007 00:13:50 -0000
@@ -6,6 +6,7 @@
 
 PROG=	usbhidctl
 SRCS=	usbhid.c
+WARNS?=	1
 
 LDADD+=	-lusbhid
 DPADD+=	${LIBUSBHID}
Index: users/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/users/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- users/Makefile	12 Sep 2004 11:54:00 -0000	1.2
+++ users/Makefile	27 Aug 2007 00:14:07 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/users/Makefile,v 1.2 2004/09/12 11:54:00 joerg Exp $
 
 PROG=	users
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: uudecode/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/uudecode/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- uudecode/Makefile	22 Dec 2004 11:25:51 -0000	1.3
+++ uudecode/Makefile	27 Aug 2007 00:14:23 -0000
@@ -6,5 +6,4 @@
 LINKS=	${BINDIR}/uudecode ${BINDIR}/b64decode
 NOMAN=	noman
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: uuencode/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/uuencode/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- uuencode/Makefile	5 Aug 2005 18:01:16 -0000	1.4
+++ uuencode/Makefile	27 Aug 2007 00:14:33 -0000
@@ -10,5 +10,4 @@
 	uuencode.1 b64encode.1 \
 	uuencode.1 b64decode.1
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: uuidgen/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/uuidgen/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- uuidgen/Makefile	17 Jun 2007 05:03:23 -0000	1.1
+++ uuidgen/Makefile	27 Aug 2007 00:14:41 -0000
@@ -4,6 +4,5 @@
 BINDIR=	/bin
 
 PROG=	uuidgen
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: vacation/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/vacation/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- vacation/Makefile	14 Apr 2007 17:43:48 -0000	1.10
+++ vacation/Makefile	27 Aug 2007 00:16:23 -0000
@@ -9,6 +9,7 @@
 CFLAGS+=-I${SENDMAIL_DIR}/sendmail -I${SENDMAIL_DIR}/include -I.
 CFLAGS+=-DNEWDB -DNOT_SENDMAIL
 CFLAGS+=-D_FFR_LISTDB -D_FFR_DEBUG
+WARNS?=	2
 
 .if exists(${.OBJDIR}/../../lib/libsm)
 LIBSMDIR:=	${.OBJDIR}/../../lib/libsm
Index: vgrind/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/vgrind/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- vgrind/Makefile	17 Jun 2003 04:29:33 -0000	1.2
+++ vgrind/Makefile	27 Aug 2007 00:17:22 -0000
@@ -11,6 +11,7 @@
 FILESDIR=	${SHAREDIR}/misc
 FILESDIR_tmac.vgrind=	${SHAREDIR}/tmac
 MAN=	vgrind.1 vgrindefs.5
+WARNS?=	1
 
 BINDIR=	/usr/libexec
 SCRIPTSDIR=/usr/bin
Index: vi/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/vi/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- vi/Makefile	24 Jun 2006 00:04:18 -0000	1.5
+++ vi/Makefile	27 Aug 2007 00:18:29 -0000
@@ -8,6 +8,7 @@
 
 SRCDIR=		${.CURDIR}/../../contrib/nvi
 CONTRIBDIR=	${SRCDIR}
+WARNS?=	0
 
 .if defined(RELEASE_CRUNCH)
 # When building `vi' for the fixit floppy, don't include any of the
Index: vis/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/vis/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- vis/Makefile	17 Jun 2003 02:56:33 -0000	1.1
+++ vis/Makefile	27 Aug 2007 00:22:36 -0000
@@ -1,6 +1,8 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/6/93
+# $DragonFly$
 
 PROG=	vis
 SRCS=	vis.c foldit.c
+WARNS?=	1
 
 .include <bsd.prog.mk>
Index: vmstat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/vmstat/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- vmstat/Makefile	23 Sep 2005 18:51:34 -0000	1.4
+++ vmstat/Makefile	27 Aug 2007 00:23:15 -0000
@@ -9,6 +9,5 @@
 BINMODE=2555
 DPADD=	${LIBKINFO} ${LIBKVM} ${LIBDEVSTAT}
 LDADD=	-lkinfo -lkvm -ldevstat
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: w/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/w/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- w/Makefile	17 Jun 2003 04:29:33 -0000	1.2
+++ w/Makefile	27 Aug 2007 00:24:05 -0000
@@ -10,6 +10,7 @@
 #BINGRP= kmem
 #BINMODE=2555
 LINKS=	${BINDIR}/w ${BINDIR}/uptime
+WARNS?=	2
 
 .PATH: ${.CURDIR}/../../bin/ps
 
Index: wall/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/wall/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- wall/Makefile	17 Jun 2003 02:56:34 -0000	1.1
+++ wall/Makefile	27 Aug 2007 00:25:04 -0000
@@ -1,8 +1,10 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/6/93
+# $DragonFly$
 
 PROG=	wall
 SRCS=	ttymsg.c wall.c
 BINGRP=	tty
 BINMODE=2555
+WARNS?=	2
 
 .include <bsd.prog.mk>
Index: wc/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/wc/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- wc/Makefile	11 Jan 2005 20:03:11 -0000	1.2
+++ wc/Makefile	27 Aug 2007 00:25:23 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/wc/Makefile,v 1.2 2005/01/11 20:03:11 liamfoy Exp $
 
 PROG=	wc
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: what/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/what/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- what/Makefile	19 Nov 2004 17:46:40 -0000	1.2
+++ what/Makefile	27 Aug 2007 00:25:30 -0000
@@ -3,5 +3,4 @@
 
 PROG=	what
 
-WARNS?=	6
 .include <bsd.prog.mk>
Index: whereis/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/whereis/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- whereis/Makefile	3 Jan 2005 01:44:56 -0000	1.4
+++ whereis/Makefile	27 Aug 2007 00:25:53 -0000
@@ -2,7 +2,5 @@
 # $DragonFly: src/usr.bin/whereis/Makefile,v 1.4 2005/01/03 01:44:56 cpressey Exp $
 
 PROG=	whereis
-MAN=	whereis.1
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: which/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/which/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- which/Makefile	3 Jan 2005 01:42:59 -0000	1.5
+++ which/Makefile	27 Aug 2007 00:26:02 -0000
@@ -3,6 +3,5 @@
 # $DragonFly: src/usr.bin/which/Makefile,v 1.5 2005/01/03 01:42:59 cpressey Exp $
 
 PROG=	which
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: who/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/who/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- who/Makefile	29 Oct 2004 17:09:09 -0000	1.2
+++ who/Makefile	27 Aug 2007 00:26:15 -0000
@@ -3,6 +3,4 @@
 
 PROG=	who
 
-WARNS?= 6
-
 .include <bsd.prog.mk>
Index: whois/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/whois/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- whois/Makefile	3 Jan 2005 01:11:53 -0000	1.4
+++ whois/Makefile	27 Aug 2007 00:26:25 -0000
@@ -3,7 +3,6 @@
 # $DragonFly: src/usr.bin/whois/Makefile,v 1.4 2005/01/03 01:11:53 cpressey Exp $
 
 PROG=	whois
-WARNS?=	6
 
 .if defined(SOCKS)
 CFLAGS+=-DSOCKS
Index: window/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- window/Makefile	17 Jun 2003 04:29:33 -0000	1.2
+++ window/Makefile	27 Aug 2007 00:27:07 -0000
@@ -19,5 +19,6 @@
 
 DPADD=	${LIBTERMCAP}
 LDADD=	-ltermcap
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: write/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/write/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- write/Makefile	31 Dec 2004 08:05:37 -0000	1.2
+++ write/Makefile	27 Aug 2007 00:27:35 -0000
@@ -2,7 +2,6 @@
 # $DragonFly: src/usr.bin/write/Makefile,v 1.2 2004/12/31 08:05:37 cpressey Exp $
 
 PROG=	write
-WARNS?=	6
 BINMODE=2555
 BINGRP=	tty
 
Index: xargs/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/xargs/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- xargs/Makefile	2 Jan 2005 01:45:20 -0000	1.3
+++ xargs/Makefile	27 Aug 2007 00:28:14 -0000
@@ -4,7 +4,6 @@
 
 PROG=	xargs
 SRCS=	xargs.c strnsubst.c
-WARNS?=	6
 
 .if defined(BOOTSTRAPPING)
 CFLAGS+=-DBOOTSTRAPPING
Index: xinstall/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/xinstall/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- xinstall/Makefile	17 Jun 2003 04:29:34 -0000	1.2
+++ xinstall/Makefile	27 Aug 2007 00:29:21 -0000
@@ -6,6 +6,7 @@
 PROGNAME=	install
 SRCS=		xinstall.c
 MAN=		install.1
+WARNS?=	1
 
 .if defined(BOOTSTRAPPING)
 .PATH: ${.CURDIR}/../../lib/libc/gen
Index: xlint/lint1/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/xlint/lint1/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- xlint/lint1/Makefile	17 Jun 2003 04:29:34 -0000	1.2
+++ xlint/lint1/Makefile	27 Aug 2007 00:32:25 -0000
@@ -5,6 +5,7 @@
 PROG=	lint1
 SRCS=	cgram.y scan.l mem1.c mem.c err.c main1.c decl.c tree.c func.c \
 	init.c emit.c emit1.c y.tab.h
+WARNS?=	1
 NOMAN=
 LDADD+=	-ll
 DPADD+=	${LIBL}
Index: xlint/lint2/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/xlint/lint2/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- xlint/lint2/Makefile	17 Jun 2003 02:56:38 -0000	1.1
+++ xlint/lint2/Makefile	27 Aug 2007 00:33:09 -0000
@@ -4,6 +4,7 @@
 
 PROG=	lint2
 SRCS=	main2.c hash.c read.c mem.c mem2.c chk.c msg.c emit.c emit2.c
+WARNS?=	1
 NOMAN=
 CFLAGS+=-I${.CURDIR}/../lint1
 LINTFLAGS=-abehrz
Index: xlint/xlint/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/xlint/xlint/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- xlint/xlint/Makefile	17 Jun 2003 04:29:34 -0000	1.2
+++ xlint/xlint/Makefile	27 Aug 2007 00:34:30 -0000
@@ -8,6 +8,7 @@
 PROGNAME=lint
 SRCS=	xlint.c mem.c
 MAN=	lint.1
+WARNS?=	2
 
 CFLAGS+=-I${.CURDIR}/../lint1
 
Index: yacc/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/yacc/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- yacc/Makefile	5 Jan 2005 15:26:05 -0000	1.4
+++ yacc/Makefile	27 Aug 2007 00:36:07 -0000
@@ -10,6 +10,5 @@
 LINKS=	${BINDIR}/yacc ${BINDIR}/byacc
 MLINKS=	yacc.1 byacc.1 \
 	yacc.1 liby.3
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: yes/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/yes/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- yes/Makefile	15 Dec 2004 23:40:55 -0000	1.3
+++ yes/Makefile	27 Aug 2007 00:41:25 -0000
@@ -2,6 +2,5 @@
 # $DragonFly: src/usr.bin/yes/Makefile,v 1.3 2004/12/15 23:40:55 cpressey Exp $
 
 PROG=	yes
-WARNS?=	6
 
 .include <bsd.prog.mk>
Index: ypcat/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ypcat/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ypcat/Makefile	17 Jun 2003 04:29:34 -0000	1.2
+++ ypcat/Makefile	27 Aug 2007 00:42:38 -0000
@@ -3,5 +3,6 @@
 # $DragonFly: src/usr.bin/ypcat/Makefile,v 1.2 2003/06/17 04:29:34 dillon Exp $
 
 PROG=	ypcat
+WARNS?=	0
 
 .include <bsd.prog.mk>
Index: ypmatch/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ypmatch/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ypmatch/Makefile	17 Jun 2003 04:29:34 -0000	1.2
+++ ypmatch/Makefile	27 Aug 2007 00:44:28 -0000
@@ -3,5 +3,6 @@
 # $DragonFly: src/usr.bin/ypmatch/Makefile,v 1.2 2003/06/17 04:29:34 dillon Exp $
 
 PROG=	ypmatch
+WARNS?=	2
 
 .include <bsd.prog.mk>
Index: ypwhich/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/ypwhich/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ypwhich/Makefile	17 Jun 2003 04:29:34 -0000	1.2
+++ ypwhich/Makefile	27 Aug 2007 00:45:10 -0000
@@ -3,5 +3,6 @@
 # $DragonFly: src/usr.bin/ypwhich/Makefile,v 1.2 2003/06/17 04:29:34 dillon Exp $
 
 PROG=	ypwhich
+WARNS?=	2
 
 .include <bsd.prog.mk>
